Dashboard
curl --request GET \
--url https://api.example.com/api/v1/invoices/dashboardimport requests
url = "https://api.example.com/api/v1/invoices/dashboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/invoices/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints Disponibles
Dashboard
Resumen ejecutivo de facturacion: totales, montos, estados, tendencia mensual.
GET
/
api
/
v1
/
invoices
/
dashboard
Dashboard
Dashboard de facturacion
Obtiene un resumen ejecutivo de la facturacion del tenant: totales, montos acumulados, desglose por estado y tendencia de los ultimos 6 meses.Request
curl "https://sandbox.cucu.bo/api/v1/invoices/dashboard" \
-H "X-API-Key: YOUR_API_KEY"
Response
{
"success": true,
"data": {
"totalInvoices": 1250,
"thisMonth": {
"count": 156,
"amount": 45230.00
},
"thisYear": {
"amount": 380500.00
},
"byState": {
"VALIDATED": 1200,
"CANCELLED": 35,
"OFFLINE_PENDING": 2,
"REJECTED": 13
},
"monthlyTrend": [
{"month": "2025-10", "count": 98, "amount": 28500.00},
{"month": "2025-11", "count": 112, "amount": 32100.00},
{"month": "2025-12", "count": 130, "amount": 38900.00},
{"month": "2026-01", "count": 145, "amount": 41200.00},
{"month": "2026-02", "count": 148, "amount": 43800.00},
{"month": "2026-03", "count": 156, "amount": 45230.00}
]
}
}
| Campo | Descripcion |
|---|---|
totalInvoices | Total historico de facturas emitidas |
thisMonth.count | Facturas emitidas este mes |
thisMonth.amount | Monto total facturado este mes (Bs) |
thisYear.amount | Monto total facturado este anio (Bs) |
byState | Desglose por estado SIAT |
monthlyTrend | Ultimos 6 meses: cantidad y monto por mes |
⌘I